This README covers the installation of Intrelab and the
Intrepid/Matlab interface.

 0) Make sure you have a recent compiler, for example
    the GNU-gcc 5 series or later.

 1) Get the development version of Trilinos from github.
    If not on the develop branch, make sure to switch to
    the develop branch:

    [ (master)]$ git fetch origin
    [ (master)]$ git checkout --track origin/develop
    -- now you're on develop

 2) Get a recent version of Matlab, 2016b or newer.
    *** If you're using a CEE LAN machine and have a
    Scientific Account, you're good.

 3) Build Intrepid in shared library mode.

    - for release mode use configure options
      -D CMAKE_BUILD_TYPE:STRING=RELEASE \
      -D BUILD_SHARED_LIBS:BOOL=ON \
      -D TPL_ENABLE_BinUtils=OFF \
      -D Trilinos_ENABLE_EXPLICIT_INSTANTIATION:BOOL=ON \
      -D Trilinos_ENABLE_Intrepid:BOOL=ON \
      -D Trilinos_ENABLE_ALL_OPTIONAL_PACKAGES:BOOL=OFF \
      -D Trilinos_ENABLE_TESTS:BOOL=OFF \
      -D Trilinos_ENABLE_EXAMPLES:BOOL=OFF \
      -D Intrepid_ENABLE_TESTS:BOOL=ON \
      -D Intrepid_ENABLE_EXAMPLES:BOOL=ON \
      -D CMAKE_INSTALL_PREFIX:PATH=/YOUR_INSTALL_PATH_HERE \

    - for debug mode use configure options
      -D CMAKE_BUILD_TYPE:STRING=DEBUG \
      -D BUILD_SHARED_LIBS:BOOL=ON \
      -D TPL_ENABLE_BinUtils=OFF \
      -D Trilinos_ENABLE_EXPLICIT_INSTANTIATION:BOOL=ON \
      -D Trilinos_ENABLE_Intrepid:BOOL=ON \
      -D Trilinos_ENABLE_ALL_OPTIONAL_PACKAGES:BOOL=OFF \
      -D Trilinos_ENABLE_TESTS:BOOL=OFF \
      -D Trilinos_ENABLE_EXAMPLES:BOOL=OFF \
      -D Intrepid_ENABLE_TESTS:BOOL=ON \
      -D Intrepid_ENABLE_EXAMPLES:BOOL=ON \
      -D CMAKE_INSTALL_PREFIX:PATH=/YOUR_INSTALL_PATH_HERE \

 3) Copy the Makefile in scripts/ to the directory above (intrelab).
    Modify the Makefile according to the instructions contained in it.
    *** If you're using a CEE LAN machine and SEMS modules, copy the file
    Makefile.cee from scripts/ to the directory above (intrelab). 

 4) Run

    make -j12 install

 5) Copy the Matlab startup script scripts/run_matlab.sh to
    the directory above (intrelab).  Make sure that you have execution
    privileges (chmod u+x).  Modify it to suit your needs.
    *** If you're using a CEE LAN machine and SEMS modules, copy the file
    scripts/run_matlab_cee.sh.

    REQUIRED:
    Point the variable MATLABPATH to the Intrelab installation path
    that you defined in the Makefile, as well as the intrelab/mesh
    directory.  Examples are in scripts/run_matlab.sh.

    REQUIRED:
    Point the variable BLAS_VERSION to the BLAS library used to build
    Trilinos (Intrepid).

    OPTIONAL/AS NEEDED/NOTES:
    The modifications will depend on your platform, your version
    of Matlab, etc.  Some trial and error may be needed.  The main goal is to
    make Matlab aware of the library paths and the versions of BLAS (or LAPACK)
    used by Trilinos.  If Matlab's default BLAS and LAPACK (MKL) are mixed with
    the versions used by Trilinos, there could be problems.  Alternatively, you
    can try compiling Trilinos with Matlab's BLAS and LAPACK libraries.  Other
    libraries may need to be pointed to, such as libgfortran, libgcc_s, etc.,
    but newer versions of Matlab may not require them.  It is best to start
    with paths to BLAS (and possibly LAPACK), and let Matlab tell you which
    libraries are missing, if any.

 6) Start Matlab using the script my_run_matlab.sh.

 7) Go to the test/ directory and type
  
    >> runtests(pwd, 'Recursive', true)

 8) Please contact Denis Ridzal (dridzal@sandia.gov) for help with
    any of the above.
